[Fusionforge-commits] FusionForge branch master updated. ea9c0d58b719189ebf9e49b0822be745f3f1fee1

Sylvain Beucler beuc-inria at fusionforge.org
Tue Sep 9 11:40:12 CEST 2014


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, master has been updated
       via  ea9c0d58b719189ebf9e49b0822be745f3f1fee1 (commit)
      from  8094279b651ff8f4dab75801acb4bf03845a56c3 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit ea9c0d58b719189ebf9e49b0822be745f3f1fee1
Author: Sylvain Beucler <sylvain.beucler at inria.fr>
Date:   Tue Sep 9 11:40:08 2014 +0200

    testsuite: fix phpunit-selenium.sh return code

diff --git a/tests/buildbot/fusionforge-build-and-test.sh b/tests/buildbot/fusionforge-build-and-test.sh
index 1d18469..c300860 100755
--- a/tests/buildbot/fusionforge-build-and-test.sh
+++ b/tests/buildbot/fusionforge-build-and-test.sh
@@ -2,7 +2,7 @@
 . $(dirname $0)/common-functions
 . $(dirname $0)/common-vm
 
-set -e
+set -ex
 
 get_config
 prepare_workspace
@@ -67,7 +67,7 @@ fi
 # Run tests
 retcode=0
 echo "Run phpunit test on $HOST"
-# TESTGLOB='func/50_PluginsScmGit/*'
+#ssh root@$HOST "TESTGLOB='func/50_PluginsScmBzr/*' /usr/src/fusionforge/autoinstall/vnc-run-testsuite.sh /usr/src/fusionforge/autoinstall/run-testsuite.sh $INSTALL_METHOD/$INSTALL_OS" || retcode=$?
 ssh root@$HOST "/usr/src/fusionforge/autoinstall/vnc-run-testsuite.sh /usr/src/fusionforge/autoinstall/run-testsuite.sh $INSTALL_METHOD/$INSTALL_OS" || retcode=$?
 
 rsync -av root@$HOST:/var/log/ $WORKSPACE/reports/
diff --git a/tests/buildbot/fusionforge-unittests.sh b/tests/buildbot/fusionforge-unittests.sh
index 621dbe6..4a9d948 100755
--- a/tests/buildbot/fusionforge-unittests.sh
+++ b/tests/buildbot/fusionforge-unittests.sh
@@ -2,7 +2,7 @@
 # syntax and unit tests (i.e. not func/)
 . $(dirname $0)/common-functions
 
-set -e
+set -ex
 
 get_config
 prepare_workspace
diff --git a/tests/func/phpunit-selenium.sh b/tests/func/phpunit-selenium.sh
index 841495f..19fd0e6 100755
--- a/tests/func/phpunit-selenium.sh
+++ b/tests/func/phpunit-selenium.sh
@@ -126,12 +126,11 @@ echo "Running PHPunit tests"
 retcode=0
 cd tests
 phpunit --verbose --debug --stop-on-failure --log-junit $SELENIUM_RC_DIR/phpunit-selenium.xml $@ func_tests.php || retcode=$?
-cd ..
+echo "phpunit returned with code $retcode"
+
+set +e
 kill $pid
-# on debian
-killall -9 firefox-bin
-# on centos
-killall -9 firefox
-# kill java stuffs
-killall -9 java
+killall -9 firefox-bin  # debian
+killall -9 firefox      # centos
+killall -9 java         # kill java stuffs
 exit $retcode

-----------------------------------------------------------------------

Summary of changes:
 tests/buildbot/fusionforge-build-and-test.sh |    4 ++--
 tests/buildbot/fusionforge-unittests.sh      |    2 +-
 tests/func/phpunit-selenium.sh               |   13 ++++++-------
 3 files changed, 9 insertions(+), 10 deletions(-)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list